Index: testsuites/psxtmtests/psxtmbarrierattr01/init.c
===================================================================
--- testsuites/psxtmtests/psxtmbarrierattr01/init.c	(revision b1381ae7c3cb9b88fee8a811b644a0f360a24082)
+++ testsuites/psxtmtests/psxtmbarrierattr01/init.c	(revision 4f3a2532a39b55e13f73bc3b1e2508a3fda1d6f1)
@@ -45,6 +45,6 @@
 static void benchmark_create_barrierattr(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
@@ -65,6 +65,6 @@
 static void benchmark_barrierattr_setpshared(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
@@ -85,7 +85,7 @@
 static void benchmark_barrierattr_getpshared(void)
 {
-  long end_time;
-  int  status;
-  int pshared;
+  benchmark_timer_t end_time;
+  int               status;
+  int               pshared;
 
   benchmark_timer_initialize();
@@ -107,6 +107,6 @@
 static void benchmark_destroy_barrierattr(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
Index: testsuites/psxtmtests/psxtmcleanup01/init.c
===================================================================
--- testsuites/psxtmtests/psxtmcleanup01/init.c	(revision b1381ae7c3cb9b88fee8a811b644a0f360a24082)
+++ testsuites/psxtmtests/psxtmcleanup01/init.c	(revision 4f3a2532a39b55e13f73bc3b1e2508a3fda1d6f1)
@@ -49,5 +49,5 @@
 static void benchmark_pthread_cleanup_push_pull(void)
 {
-  long end_time;
+  benchmark_timer_t end_time;
   int execute = 1;
   status = 0;
Index: testsuites/psxtmtests/psxtmmutexattr01/init.c
===================================================================
--- testsuites/psxtmtests/psxtmmutexattr01/init.c	(revision b1381ae7c3cb9b88fee8a811b644a0f360a24082)
+++ testsuites/psxtmtests/psxtmmutexattr01/init.c	(revision 4f3a2532a39b55e13f73bc3b1e2508a3fda1d6f1)
@@ -46,6 +46,6 @@
 static void benchmark_create_pthread_mutexattr(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
@@ -66,6 +66,6 @@
 static void benchmark_pthread_mutexattr_setprioceiling(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
@@ -86,7 +86,7 @@
 static void benchmark_pthread_mutexattr_getprioceiling(void)
 {
-  long end_time;
-  int  status;
-  int prioceiling;
+  benchmark_timer_t end_time;
+  int               status;
+  int               prioceiling;
 
   benchmark_timer_initialize();
@@ -108,6 +108,6 @@
 static void benchmark_pthread_mutexattr_setprotocol(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
@@ -128,7 +128,7 @@
 static void benchmark_pthread_mutexattr_getprotocol(void)
 {
-  long end_time;
-  int  status;
-  int protocol;
+  benchmark_timer_t end_time;
+  int               status;
+  int               protocol;
 
   benchmark_timer_initialize();
@@ -150,6 +150,6 @@
 static void benchmark_pthread_mutexattr_setpshared(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
@@ -170,7 +170,7 @@
 static void benchmark_pthread_mutexattr_getpshared(void)
 {
-  long end_time;
-  int  status;
-  int pshared;
+  benchmark_timer_t end_time;
+  int               status;
+  int               pshared;
 
   benchmark_timer_initialize();
@@ -192,6 +192,6 @@
 static void benchmark_pthread_mutexattr_settype(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
@@ -212,7 +212,7 @@
 static void benchmark_pthread_mutexattr_gettype(void)
 {
-  long end_time;
-  int  status;
-  int type;
+  benchmark_timer_t end_time;
+  int               status;
+  int               type;
 
   benchmark_timer_initialize();
@@ -234,6 +234,6 @@
 static void benchmark_destroy_pthread_mutexattr(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
Index: testsuites/psxtmtests/psxtmonce01/init.c
===================================================================
--- testsuites/psxtmtests/psxtmonce01/init.c	(revision b1381ae7c3cb9b88fee8a811b644a0f360a24082)
+++ testsuites/psxtmtests/psxtmonce01/init.c	(revision 4f3a2532a39b55e13f73bc3b1e2508a3fda1d6f1)
@@ -46,6 +46,6 @@
 static void benchmark_first_time(void)
 {
-  long end_time;
-  int  status;
+  benchmark_timer_t end_time;
+  int               status;
 
   benchmark_timer_initialize();
